List Applications
curl --request GET \
--url https://api.easycred.in/api/v1/partner/leads \
--header 'Authorization: Bearer <token>' \
--header 'X-Nonce: <x-nonce>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>'import requests
url = "https://api.easycred.in/api/v1/partner/leads"
headers = {
"X-Signature": "<x-signature>",
"X-Timestamp": "<x-timestamp>",
"X-Nonce": "<x-nonce>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Signature': '<x-signature>',
'X-Timestamp': '<x-timestamp>',
'X-Nonce': '<x-nonce>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.easycred.in/api/v1/partner/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"leads": [
{
"applicationId": "<string>",
"loanType": "<string>",
"loanAmount": 123,
"status": "<string>",
"submittedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"limit": 123
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}API Reference
List Applications
GET
https://api.easycred.in
/
api
/
v1
/
partner
/
leads
List Applications
Authorizations
API key of the form ec_(live|test). Scopes are listed per operation.
Headers
HMAC-SHA256 signature over method, path, timestamp, nonce and raw body.
Unix epoch seconds. Requests outside the tolerance window are rejected.
Unique per-request nonce. Replays are rejected.
⌘I